org.apache.poi.sl.draw.binding

## Class CTEmbeddedWAVAudioFile

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTEmbeddedWAVAudioFile

-     public class CTEmbeddedWAVAudioFile
      extends java.lang.Object

  Java class for CT_EmbeddedWAVAudioFile complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_EmbeddedWAVAudioFile">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute ref="{http://schemas.openxmlformats.org/officeDocument/2006/relationships}embed use="required""/>
             <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" default="" />
             <attribute name="builtIn" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `builtIn`
    `protected java.lang.String` | `embed`
    `protected java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTEmbeddedWAVAudioFile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEmbed()` Embedded Audio File Relationship ID
    `java.lang.String` | `getName()` Gets the value of the name property.
    `boolean` | `isBuiltIn()` Gets the value of the builtIn property.
    `boolean` | `isSetBuiltIn()`
    `boolean` | `isSetEmbed()`
    `boolean` | `isSetName()`
    `void` | `setBuiltIn(boolean value)` Sets the value of the builtIn property.
    `void` | `setEmbed(java.lang.String value)` Sets the value of the embed property.
    `void` | `setName(java.lang.String value)` Sets the value of the name property.
    `void` | `unsetBuiltIn()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### embed

          protected java.lang.String embed

    - #### name

          protected java.lang.String name

    - #### builtIn

          protected java.lang.Boolean builtIn

  - ### Constructor Detail

    - #### CTEmbeddedWAVAudioFile

          public CTEmbeddedWAVAudioFile()

  - ### Method Detail

    - #### getEmbed

          public java.lang.String getEmbed()

      Embedded Audio File Relationship ID
      Returns:
        possible object is `String`

    - #### setEmbed

          public void setEmbed(java.lang.String value)

      Sets the value of the embed property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetEmbed

          public boolean isSetEmbed()

    - #### getName

          public java.lang.String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(java.lang.String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetName

          public boolean isSetName()

    - #### isBuiltIn

          public boolean isBuiltIn()

      Gets the value of the builtIn property.
      Returns:
        possible object is `Boolean`

    - #### setBuiltIn

          public void setBuiltIn(boolean value)

      Sets the value of the builtIn property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetBuiltIn

          public boolean isSetBuiltIn()

    - #### unsetBuiltIn

          public void unsetBuiltIn()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.